{
"lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"lago_add_on_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"invoice_display_name": "Setup fee",
"add_on_code": "setup_fee",
"created_at": "2023-06-27T19:43:42Z",
"code": "setup_fee",
"charge_model": "standard",
"pay_in_advance": false,
"prorated": false,
"properties": {
"amount": "30",
"graduated_ranges": [
{
"from_value": 0,
"to_value": 10,
"flat_amount": "10",
"per_unit_amount": "0.5"
}
],
"volume_ranges": [
{
"from_value": 0,
"to_value": 10,
"flat_amount": "10",
"per_unit_amount": "0.5"
}
]
},
"units": "1.0",
"lago_parent_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"taxes": [
{
"lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"name": "TVA",
"code": "french_standard_vat",
"description": "French standard VAT",
"rate": 20,
"applied_to_organization": true,
"created_at": "2023-07-06T14:35:58Z",
"applied_to_billing_entities_codes": [
"acme_corp",
"foo_bar"
]
}
]
}Fixed Charges
The fixed charge object
This object represents a fixed charge associated with a plan. Fixed charges are based on add-ons and support standard, graduated, and volume charge models.
Specifies whether a fixed charge is prorated based on the remaining number of days in the billing period or billed fully.
- If set to
true, the charge is prorated based on the remaining days in the current billing period. - If set to
false, the charge is billed in full. - If not defined in the request, default value is
false.
Example:
false
The number of units for the fixed charge, as a decimal string.
When retrieved through a subscription-scoped endpoint (e.g. GET /subscriptions/{external_id}/fixed_charges), this reflects the per-subscription unit override when one exists, and falls back to the plan-level units otherwise. Plan-scoped endpoints always return the plan-level units.
Example:
"1.0"